MetricSetControllerAddStateGroupToMetricSet Method |
POST /MetricSet/AddStateGroup/{id}
Adds a state group to a metric set.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (8.0.2.1001)
Syntax[HttpPostAttribute]
[ActionNameAttribute("AddStateGroup")]
public HttpResponseMessage AddStateGroupToMetricSet(
Guid id,
[FromBodyAttribute] AddStateGroupOptions options,
Nullable<Guid> sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("AddStateGroup")>
Public Function AddStateGroupToMetricSet (
id As Guid,
<FromBodyAttribute> options As AddStateGroupOptions,
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpPostAttribute]
[ActionNameAttribute(L"AddStateGroup")]
HttpResponseMessage^ AddStateGroupToMetricSet(
Guid id,
[FromBodyAttribute] AddStateGroupOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("AddStateGroup")>]
member AddStateGroupToMetricSet :
id : Guid *
[<FromBodyAttribute>] options : AddStateGroupOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- id
- Type: SystemGuid
The ID of the metric set to add the state group to. - options
- Type: Dundas.BI.WebApi.ModelsAddStateGroupOptions
The options for adding this state group to the metric set. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
HttpResponseMessage
A
MetricSetData object containing the updated metric set data, or a status code indicating the problem.
See Also